<?php
$nome = $_POST['nome'];
$cognome = $_POST['cognome'];
$citta = $_POST['citta'];
$messaggio = $_POST['testo'];
$email = $_POST['mail'];



if (trim($_POST['nome']) == "")
 {
  die ("Campo 'Nome' obbligatorio");
}
if (trim($_POST['cognome']) == "") 
{
  die ("Campo 'Cognome' obbligatorio");
}

if (trim($_POST['citta']) == "")
 {
  die ("Campo 'Citta' obbligatorio");
}

if (!eregi("^[a-z0-9][_\.a-z0-9-]+@([a-z0-9][0-9a-z-]+\.)+([a-z]{2,4})", $email))
{
die( "Errore: &egrave; Indirizzo e-mail inserito non è valido");
}

if ($messaggio == null)
{
die( "Errore: &egrave; necessario compilare il campo 'Messaggio'");
}

print("<font size='13'>Invio Messaggio<br><br /></font>");
print("<font size='2'>se le informazioni inserite sono corrette sarai ricontattato <br>
al piu' presto - Buona giornata - <br><br /></br></font>"); 
print("<b><br />Questi sono i dati che hai inserito:<br /><br /><br/></b>
Nome: <b>$nome</b><br />
Cognome: <b>$cognome</b><br />
Citta: <b>$citta</b><br />
E-mail: <b>$email</b><br />
 
Messaggio: <b>$messaggio</b><br />");
// Processo di configurazione dell'email
// [Destinatario, mittente, ecc]
$mail_to = "nomeutente@dominio"; //inserire indirizzo mail a cui inviare il messaggio
$mail_from = $email;
$mail_subject = "quello che ti pare"; //oggetto del messaggio
$reply = $email;
$mail_body = "<p><font size='3' font color=#000000>$nome</p>
			  <p>$cognome</p>
			  <p>$citta</p>
			  <p>$email</p><br><br><br>
			  <p>$messaggio</font></p>";
// Intestazioni HTML
$mail_in_html = "MIME-Version: 1.0\r\n";
$mail_in_html .= "Content-type: text/html; charset=iso-8859-1\r\n";
$mail_in_html .= "From: <$mail_from>";
// Processo di invio

ini_set("SMTP","out.dominio.it"); //inserire le impostazioni della posta in uscita 
ini_set("smtp_port","25");
ini_set("sendmail_from",""); //inserire tra i due apici un tuo indirizzo mail
if (mail($mail_to, $mail_subject, $mail_body, $mail_in_html, $reply))
{
print "                 ";
print "                  ";
print "                   ";
print "Messaggio inviato con successo!";
}
else
{
die ("Errore...torna indietro e riprova!");
}


?> 
